{
    attributes = (
        {
            columnName = "CONV_ORDRE"; 
            externalType = NUMBER; 
            name = convOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DCON_HT_SAISIE"; 
            externalType = NUMBER; 
            name = dconHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DCON_ID"; 
            externalType = NUMBER; 
            name = dconId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "DCON_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            name = dconMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DCON_TTC_SAISIE"; 
            externalType = NUMBER; 
            name = dconTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DCON_TVA_SAISIE"; 
            externalType = NUMBER; 
            name = dconTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "DEP_ID"; 
            externalType = NUMBER; 
            name = depId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (convOrdre, dconId, depId, exeOrdre); 
    className = "org.cocktail.kaki.server.metier.EODepenseCtrlConvention"; 
    classProperties = (
        convention, 
        dconHtSaisie, 
        dconMontantBudgetaire, 
        dconTtcSaisie, 
        dconTvaSaisie, 
        depense, 
        depId, 
        exercice
    ); 
    externalName = "JEFY_DEPENSE.DEPENSE_CTRL_CONVENTION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            convention, 
            dconHtSaisie, 
            dconMontantBudgetaire, 
            dconTtcSaisie, 
            dconTvaSaisie, 
            depense, 
            depId, 
            exercice
        ); 
        "_javaClientClassName" = "org.cocktail.kaki.client.metier.EODepenseCtrlConvention"; 
    }; 
    name = DepenseCtrlConvention; 
    primaryKeyAttributes = (dconId); 
    relationships = (
        {
            destination = Convention; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = convOrdre; }); 
            name = convention; 
        }, 
        {
            destination = DepenseBudget; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = depId; sourceAttribute = depId; }); 
            name = depense; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }
    ); 
}
